Bug 851149 - cannot create service pack as cannot generate metadata file in /tmp/metadata.conf
cannot create service pack as cannot generate metadata file in /tmp/metadata....
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: PackageKit (Show other bugs)
7.0
All Linux
unspecified Severity medium
: beta
: 7.0
Assigned To: Richard Hughes
Desktop QE
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 07:15 EDT by Vladimir Benes
Modified: 2014-06-13 05:48 EDT (History)
4 users (show)

See Also:
Fixed In Version: PackageKit-0.8.9-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:48:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2012-08-23 07:15:27 EDT
Description of problem:
I've executed 
pkgenpack -p setup and got this error:
Failed to create '/root/setup-.servicepack': failed to generate metadata file /tmp/metadata.conf


Version-Release number of selected component (if applicable):
PackageKit-0.7.4-5.el7.x86_64

How reproducible:
always

Steps to Reproduce:
0.as root
1.updated system
2.pkgenpack -p setup

  
Actual results:
Failed to create '/root/setup-.servicepack': failed to generate metadata file /tmp/metadata.conf

Expected results:
should be working well

Additional info:
Comment 2 Richard Hughes 2013-05-07 11:24:36 EDT
commit 316a5b9f4c3636d808cf46fae3531cadfc91e4ce
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue May 7 16:24:12 2013 +0100

    Support getting the distro-id from /etc/os-release
    
    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=851149

:100644 100644 a9ef87f... 12f18cd... M  lib/packagekit-glib2/pk-common.c
:100644 100644 0822f5f... 688daf8... M  lib/packagekit-glib2/pk-self-test.c
Comment 4 smatula 2013-11-20 14:31:18 EST
Fix Verified with Build RHEL-7.0-20131115.2 x86_64 PackageKit-0.8.9-8.el7

pkgenpack -p setup on an updated system works correctly. No error thrown and .servicepack created.
Comment 5 Wenquan Luo 2014-06-04 04:36:42 EDT
Sorry for the miss-operation above.
Comment 6 Ludek Smid 2014-06-13 05:48:38 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.